## com.thingmagic
Enum Gen2.DivideRatio

    java.lang.Object
      java.lang.Enum<Gen2.DivideRatio>
          com.thingmagic.Gen2.DivideRatio

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.DivideRatio>

Enclosing class:
  Gen2

    public static enum Gen2.DivideRatio

extends java.lang.Enum<Gen2.DivideRatio>

Divide Ratio values

Enum Constant Summary
`DR64_3` 64/3
`DR8` 8

Method Summary
`static Gen2.DivideRatio` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.DivideRatio[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DR8

    public static final Gen2.DivideRatio DR8

  8

### DR64_3

    public static final Gen2.DivideRatio DR64_3

  64/3

Method Detail

### values

    public static Gen2.DivideRatio[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.DivideRatio c : Gen2.DivideRatio.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.DivideRatio valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null